package com.example.backend.core.utils;

public final class NumMorph {
    private NumMorph() {
    }

    public static String numMorph(int n, String f1, String f2, String f3) {
        int n1 = Math.abs(n) % 100;

        if (n1 >= 11 && n1 <= 19) {
            return f3;
        }

        int n2 = n % 10;
        if (n2 == 1) {
            return f1;
        }
        if (n2 > 1 && n2 < 5) {
            return f2;
        }
        return f3;
    }
}
